import React from "react";
import ReactDOM from "react-dom";
import { ApolloProvider } from "react-apollo";
import { ApolloClient } from "apollo-client";
import { createHttpLink } from "apollo-link-http";
import { InMemoryCache } from "apollo-cache-inmemory";

import * as serviceWorker from "./serviceWorker";
import App from "./App";
import "./index.css";

const httpLink = createHttpLink({
  uri: "http://william.multimediatech.cz:8081/air2day-test/graphql",
  headers: {
    authorization: `fb4c1cd7-e219-48ef-be8f-5e31f125e64f`
  }
  // fetchOptions: {
  //   mode: 'no-cors',
  // },
});
const client = new ApolloClient({
  link: httpLink,
  cache: new InMemoryCache()
});

ReactDOM.render(
  <ApolloProvider client={client}>
    <App />
  </ApolloProvider>,
  document.getElementById("root")
);

// If you want your app to work offline and load faster, you can change
// unregister() to register() below. Note this comes with some pitfalls.
// Learn more about service workers: https://bit.ly/CRA-PWA
serviceWorker.unregister();
